PROGRAM fp_intrinsics

IMPLICIT NONE

print *,' TINY: real*4 , real*8 = ',TINY(0.0), TINY(0.0d0)
print *,' HUGE: real*4, real*8 = ',HUGE(0.0), HUGE(0.0d0)
print *,' EPSILON: real*4, real*8 = ',EPSILON(0.0), EPSILON(0.0d0)
print *,' PRECISION: real*4, real*8 = ',PRECISION(0.0), PRECISION(0.0d0)
print *,' RANGE: real*4, real*8 = ',RANGE(0.0), RANGE(0.0d0)

END PROGRAM fp_intrinsics
